google/blockly-samples 软件分析报告

基础信息

项目名称:google/blockly-samples

项目徽章:

Security Status

仓库地址:https://github.com/pterodactyl/panel

检测报告地址:https://www.murphysec.com/console/report/1721233203758366720/1726381411633946624

此报告由Murphysec提供

漏洞列表

漏洞名称 漏洞类型 MPS编号 CVE编号 漏洞等级
lodash 命令注入漏洞 代码注入 MPS-2021-2638 CVE-2021-23337 高危
got 存在打开重定向漏洞 跨站重定向 MPS-2022-19247 CVE-2022-33987 中危
gh-pages 安全漏洞 原型污染 MPS-2022-53524 CVE-2022-37611 严重
ejs 存在服务端模板注入漏洞 注入 MPS-2023-10199 CVE-2023-29827 严重

缺陷组件

组件名称 版本 最小修复版本 依赖关系 修复建议
ejs 3.1.9 间接依赖 建议修复
gh-pages 3.2.3 5.0.0 直接依赖 建议修复
got 9.6.0 11.8.5 间接依赖 可选修复
lodash.template 4.5.0 间接依赖 可选修复
tslib 2.6.2 间接依赖

许可证风险

许可证类型 相关组件 许可证风险
MIT 608
ISC 113
Apache-2.0 20
BSD-3-Clause 9
BSD-2-Clause 16
CC-BY-4.0 1
CC-BY-3.0 1
BSD 1
CC0-1.0 1
0BSD 1

SBOM清单

组件名称 组件版本 是否直接依赖 仓库
supports-color 5.5.0 间接依赖 npm
split-string 3.1.0 间接依赖 npm
safe-regex 1.1.0 间接依赖 npm
object.reduce 1.0.1 间接依赖 npm
repeat-string 1.6.1 间接依赖 npm
@babel/helpers 7.23.2 间接依赖 npm
@babel/eslint-parser 7.22.15 直接依赖 npm
graphemer 1.4.0 间接依赖 npm
validate-npm-package-name 3.0.0 间接依赖 npm
@jridgewell/trace-mapping 0.3.19 间接依赖 npm
doctrine 3.0.0 间接依赖 npm
base64-js 1.5.1 间接依赖 npm
byte-size 8.1.1 间接依赖 npm
eslint-config-google 0.14.0 直接依赖 npm
fs-mkdirp-stream 1.0.0 间接依赖 npm
@octokit/plugin-rest-endpoint-methods 7.2.3 间接依赖 npm
stream-exhaust 1.0.2 间接依赖 npm
socks 2.7.1 间接依赖 npm
git-semver-tags 5.0.1 间接依赖 npm
ms 2.1.2 间接依赖 npm
replace-ext 1.0.1 间接依赖 npm
which 2.0.2 间接依赖 npm
corser 2.0.1 间接依赖 npm
sprintf-js 1.0.3 间接依赖 npm
make-fetch-happen 11.1.1 间接依赖 npm
proc-log 3.0.0 间接依赖 npm
enquirer 2.3.6 间接依赖 npm
array-union 2.1.0 间接依赖 npm
ajv 6.12.6 间接依赖 npm
set-value 2.0.1 间接依赖 npm
universalify 0.1.2 间接依赖 npm
ini 1.3.8 间接依赖 npm
static-extend 0.1.2 间接依赖 npm
pascalcase 0.1.1 间接依赖 npm
wrap-ansi-cjs npm:wrap-ansi@7.0.0 间接依赖 npm
resolve-dir 1.0.1 间接依赖 npm
indent-string 4.0.0 间接依赖 npm
path-is-absolute 1.0.1 间接依赖 npm
http-proxy-agent 5.0.0 间接依赖 npm
@babel/generator 7.23.0 间接依赖 npm
append-buffer 1.0.2 间接依赖 npm
mixin-deep 1.3.2 间接依赖 npm
update-browserslist-db 1.0.13 间接依赖 npm
flush-write-stream 1.1.1 间接依赖 npm
inherits 2.0.4 间接依赖 npm
del 6.1.1 间接依赖 npm
pinkie 2.0.4 间接依赖 npm
just-diff-apply 5.5.0 间接依赖 npm
array-each 1.0.1 间接依赖 npm
@sigstore/sign 1.0.0 间接依赖 npm
fragment-cache 0.2.1 间接依赖 npm
@octokit/endpoint 7.0.6 间接依赖 npm
core-util-is 1.0.3 间接依赖 npm
onetime 5.1.2 间接依赖 npm
flat 5.0.2 间接依赖 npm
mime 1.6.0 间接依赖 npm
uri-js 4.4.1 间接依赖 npm
queue-microtask 1.2.3 间接依赖 npm
globals 13.23.0 间接依赖 npm
builtins 1.0.3 间接依赖 npm
for-own 1.0.0 间接依赖 npm
invert-kv 1.0.0 间接依赖 npm
ret 0.1.15 间接依赖 npm
minizlib 2.1.2 间接依赖 npm
snapdragon-util 3.0.1 间接依赖 npm
@aashutoshrathi/word-wrap 1.2.6 间接依赖 npm
p-queue 6.6.2 间接依赖 npm
balanced-match 1.0.2 间接依赖 npm
js-green-licenses 1.1.0 直接依赖 npm
conventional-changelog-angular 6.0.0 间接依赖 npm
@sindresorhus/is 0.14.0 间接依赖 npm
follow-redirects 1.15.2 间接依赖 npm
object-assign 4.1.1 直接依赖 npm
split2 3.2.2 间接依赖 npm
union-value 1.0.1 间接依赖 npm
p-map 4.0.0 间接依赖 npm
columnify 1.6.0 间接依赖 npm
combined-stream 1.0.8 间接依赖 npm
jest-get-type 29.6.3 间接依赖 npm
micromatch 4.0.4 间接依赖 npm
buffer-from 1.1.2 间接依赖 npm
arr-diff 4.0.0 间接依赖 npm
array-last 1.3.0 间接依赖 npm
espree 9.6.1 间接依赖 npm
concat-map 0.0.1 间接依赖 npm
fs.realpath 1.0.0 间接依赖 npm
@nx/nx-linux-x64-musl 16.10.0 间接依赖 npm
read-cmd-shim 4.0.0 间接依赖 npm
@sigstore/protobuf-specs 0.2.1 间接依赖 npm
@octokit/openapi-types 18.1.1 间接依赖 npm
now-and-later 2.0.1 间接依赖 npm
supports-preserve-symlinks-flag 1.0.0 间接依赖 npm
mkdirp 1.0.4 间接依赖 npm
concat-with-sourcemaps 1.1.0 间接依赖 npm
external-editor 3.1.0 间接依赖 npm
has-value 1.0.0 间接依赖 npm
is-negated-glob 1.0.0 间接依赖 npm
homedir-polyfill 1.0.3 间接依赖 npm
figures 3.2.0 间接依赖 npm
lead 1.0.0 间接依赖 npm
bin-links 4.0.3 间接依赖 npm
decompress-response 3.3.0 间接依赖 npm
deep-extend 0.6.0 间接依赖 npm
util-deprecate 1.0.2 间接依赖 npm
path-type 4.0.0 间接依赖 npm
unique-slug 4.0.0 间接依赖 npm
universal-user-agent 6.0.0 间接依赖 npm
undertaker-registry 1.0.1 间接依赖 npm
caniuse-lite 1.0.30001554 间接依赖 npm
read-package-json 6.0.4 间接依赖 npm
cacheable-request 6.1.0 间接依赖 npm
nopt 6.0.0 间接依赖 npm
parse-passwd 1.0.0 间接依赖 npm
crypto-random-string 2.0.0 间接依赖 npm
agentkeepalive 4.5.0 间接依赖 npm
next-tick 1.0.0 间接依赖 npm
is-buffer 1.1.6 间接依赖 npm
ip 2.0.0 间接依赖 npm
strip-indent 3.0.0 间接依赖 npm
atob 2.1.2 间接依赖 npm
osenv 0.1.5 间接依赖 npm
expand-brackets 2.1.4 间接依赖 npm
arr-map 2.0.2 间接依赖 npm
cli-width 3.0.0 间接依赖 npm
clone-deep 4.0.1 间接依赖 npm
@octokit/plugin-request-log 1.0.4 间接依赖 npm
regex-not 1.0.2 间接依赖 npm
http-cache-semantics 4.1.1 间接依赖 npm
ignore-walk 5.0.1 间接依赖 npm
jsonparse 1.3.1 间接依赖 npm
@humanwhocodes/module-importer 1.0.1 间接依赖 npm
git-remote-origin-url 2.0.0 间接依赖 npm
eslint-plugin-jsdoc 46.8.2 直接依赖 npm
dotenv 16.3.1 间接依赖 npm
negotiator 0.6.3 间接依赖 npm
tmp 0.2.1 间接依赖 npm
@types/normalize-package-data 2.4.3 直接依赖 npm
glob-parent 5.1.2 间接依赖 npm
isexe 2.0.0 间接依赖 npm
defer-to-connect 1.1.3 间接依赖 npm
url-join 4.0.1 间接依赖 npm
glob-watcher 5.0.5 间接依赖 npm
mute-stdout 1.0.1 间接依赖 npm
@nrwl/tao 16.10.0 间接依赖 npm
@npmcli/promise-spawn 6.0.2 间接依赖 npm
has-values 1.0.0 间接依赖 npm
browserslist 4.22.1 间接依赖 npm
@typescript-eslint/utils 6.9.0 间接依赖 npm
dir-glob 3.0.1 间接依赖 npm
matchdep 2.0.0 间接依赖 npm
@babel/template 7.22.15 间接依赖 npm
form-data 4.0.0 间接依赖 npm
trim-repeated 1.0.0 间接依赖 npm
string_decoder 1.1.1 间接依赖 npm
delegates 1.0.0 间接依赖 npm
npm-packlist 5.1.1 间接依赖 npm
find-up 4.1.0 间接依赖 npm
to-fast-properties 2.0.0 间接依赖 npm
typescript 5.2.2 间接依赖 npm
v8-compile-cache 2.3.0 间接依赖 npm
@babel/helper-string-parser 7.22.5 间接依赖 npm
filenamify 4.3.0 间接依赖 npm
npm-pick-manifest 8.0.2 间接依赖 npm
has-unicode 2.0.1 间接依赖 npm
cssesc 3.0.0 间接依赖 npm
yallist 4.0.0 间接依赖 npm
ignore 5.2.4 间接依赖 npm
is-arrayish 0.2.1 间接依赖 npm
ieee754 1.2.1 间接依赖 npm
registry-auth-token 4.2.1 间接依赖 npm
number-is-nan 1.0.1 直接依赖 npm
semver-greatest-satisfied-range 1.1.0 间接依赖 npm
@nx/nx-linux-arm64-gnu 16.10.0 间接依赖 npm
lerna 7.4.1 直接依赖 npm
path-key 3.1.1 间接依赖 npm
decamelize-keys 1.1.1 间接依赖 npm
multimatch 5.0.0 间接依赖 npm
@parcel/watcher 2.0.4 间接依赖 npm
wide-align 1.1.5 间接依赖 npm
object.defaults 1.1.0 间接依赖 npm
parse-node-version 1.0.1 间接依赖 npm
pinkie-promise 2.0.1 直接依赖 npm
has-flag 3.0.0 间接依赖 npm
readdirp 2.2.1 间接依赖 npm
tempy 1.0.0 间接依赖 npm
decamelize 1.2.0 间接依赖 npm
@npmcli/name-from-folder 2.0.0 间接依赖 npm
cmd-shim 6.0.1 间接依赖 npm
make-dir 3.1.0 间接依赖 npm
@babel/helper-environment-visitor 7.22.20 间接依赖 npm
npm-run-path 4.0.1 间接依赖 npm
@babel/code-frame 7.22.13 间接依赖 npm
q 1.5.1 间接依赖 npm
last-run 1.1.1 间接依赖 npm
is-windows 1.0.2 间接依赖 npm
is-unc-path 1.0.0 间接依赖 npm
asynckit 0.4.0 间接依赖 npm
es5-ext 0.10.53 间接依赖 npm
promise-inflight 1.0.1 间接依赖 npm
@isaacs/cliui 8.0.2 间接依赖 npm
lowercase-keys 1.0.1 间接依赖 npm
globby 11.1.0 间接依赖 npm
libnpmaccess 7.0.2 间接依赖 npm
ssri 9.0.1 间接依赖 npm
code-point-at 1.1.0 直接依赖 npm
default-compare 1.0.0 间接依赖 npm
dargs 7.0.0 间接依赖 npm
promise-call-limit 1.0.2 间接依赖 npm
minipass-fetch 3.0.4 间接依赖 npm
shebang-command 2.0.0 间接依赖 npm
@ungap/structured-clone 1.2.0 间接依赖 npm
os-locale 1.4.0 间接依赖 npm
conventional-changelog-preset-loader 3.0.0 间接依赖 npm
fancy-log 1.3.3 间接依赖 npm
aproba 2.0.0 间接依赖 npm
argparse 1.0.10 间接依赖 npm
object.assign 4.1.2 间接依赖 npm
spdx-exceptions 2.3.0 间接依赖 npm
minimatch 3.0.5 间接依赖 npm
event-target-shim 5.0.1 间接依赖 npm
gh-pages 3.2.3 直接依赖 npm
is-valid-glob 1.0.0 间接依赖 npm
load-json-file 6.2.0 间接依赖 npm
tsconfig-paths 4.2.0 间接依赖 npm
p-reduce 2.1.0 间接依赖 npm
object-visit 1.0.1 间接依赖 npm
union 0.5.0 间接依赖 npm
array-find-index 1.0.2 间接依赖 npm
proxy-from-env 1.1.0 间接依赖 npm
binary-extensions 1.13.1 间接依赖 npm
gulp-header 2.0.9 直接依赖 npm
git-up 7.0.0 间接依赖 npm
nanomatch 1.2.13 直接依赖 npm
@yarnpkg/lockfile 1.1.0 间接依赖 npm
sver-compat 1.5.0 间接依赖 npm
parse-path 7.0.0 间接依赖 npm
neo-async 2.6.2 间接依赖 npm
https-proxy-agent 5.0.0 间接依赖 npm
process-nextick-args 2.0.1 间接依赖 npm
builtin-modules 3.3.0 间接依赖 npm
@npmcli/map-workspaces 3.0.4 间接依赖 npm
prepend-http 2.0.0 间接依赖 npm
compare-func 2.0.0 间接依赖 npm
@npmcli/arborist 6.2.9 间接依赖 npm
is-docker 2.2.1 间接依赖 npm
just-debounce 1.1.0 间接依赖 npm
lodash 4.17.21 间接依赖 npm
@babel/types 7.23.0 间接依赖 npm
modify-values 1.0.1 间接依赖 npm
http-proxy 1.18.1 间接依赖 npm
ora 5.4.1 间接依赖 npm
readable-stream 2.3.7 间接依赖 npm
parse-filepath 1.0.2 间接依赖 npm
@eslint-community/eslint-utils 4.4.0 间接依赖 npm
has-symbols 1.0.2 间接依赖 npm
y18n 3.2.2 间接依赖 npm
npmlog 6.0.2 间接依赖 npm
just-diff 6.0.2 间接依赖 npm
interpret 1.4.0 间接依赖 npm
find-cache-dir 3.3.2 间接依赖 npm
@babel/helper-module-imports 7.22.15 间接依赖 npm
class-utils 0.3.6 间接依赖 npm
os-homedir 1.0.2 间接依赖 npm
gitconfiglocal 1.0.0 间接依赖 npm
url-parse-lax 3.0.0 间接依赖 npm
v8flags 3.2.0 间接依赖 npm
conventional-changelog-core 5.0.1 间接依赖 npm
@npmcli/package-json 3.1.1 间接依赖 npm
lines-and-columns 2.0.3 间接依赖 npm
remove-trailing-separator 1.1.0 间接依赖 npm
duplexer3 0.1.4 间接依赖 npm
slash 3.0.0 间接依赖 npm
clone-buffer 1.0.0 间接依赖 npm
ci-info 3.9.0 间接依赖 npm
@typescript-eslint/parser 6.9.0 直接依赖 npm
type-fest 0.21.3 间接依赖 npm
mime-db 1.52.0 间接依赖 npm
@npmcli/query 3.0.1 间接依赖 npm
strong-log-transformer 2.1.0 间接依赖 npm
smart-buffer 4.2.0 间接依赖 npm
is-ssh 1.4.0 间接依赖 npm
@lerna/legacy-package-management 7.4.1 直接依赖 npm
findup-sync 3.0.0 间接依赖 npm
shebang-regex 3.0.0 间接依赖 npm
trim-newlines 3.0.1 间接依赖 npm
lcid 1.0.0 间接依赖 npm
define-property 0.2.5 间接依赖 npm
p-waterfall 2.1.1 间接依赖 npm
natural-compare 1.4.0 间接依赖 npm
detect-indent 5.0.0 间接依赖 npm
protocols 2.0.1 间接依赖 npm
to-through 2.0.0 间接依赖 npm
get-caller-file 1.0.3 间接依赖 npm
is-lambda 1.0.1 间接依赖 npm
arr-union 3.1.0 间接依赖 npm
json-buffer 3.0.0 间接依赖 npm
execa 5.0.0 间接依赖 npm
async-settle 1.0.0 间接依赖 npm
minimist 1.2.6 间接依赖 npm
merge2 1.4.1 间接依赖 npm
@octokit/core 4.2.4 间接依赖 npm
fast-levenshtein 2.0.6 间接依赖 npm
is-stream 2.0.1 间接依赖 npm
@yarnpkg/parsers 3.0.0-rc.46 间接依赖 npm
esrecurse 4.3.0 间接依赖 npm
git-url-parse 13.1.0 间接依赖 npm
commondir 1.0.1 间接依赖 npm
arr-flatten 1.1.0 间接依赖 npm
detect-file 1.0.0 间接依赖 npm
@sigstore/tuf 1.0.3 间接依赖 npm
snapdragon 0.8.2 间接依赖 npm
jsdoc-type-pratt-parser 4.0.0 间接依赖 npm
aggregate-error 3.1.0 间接依赖 npm
strip-ansi-cjs npm:strip-ansi@6.0.1 间接依赖 npm
@humanwhocodes/object-schema 2.0.1 间接依赖 npm
@nx/nx-linux-x64-gnu 16.10.0 间接依赖 npm
through 2.3.8 间接依赖 npm
error-ex 1.3.2 间接依赖 npm
defaults 1.0.4 间接依赖 npm
braces 2.3.2 间接依赖 npm
eslint-config-prettier 9.0.0 直接依赖 npm
side-channel 1.0.4 间接依赖 npm
buffer 5.7.1 间接依赖 npm
promise-all-reject-late 1.0.1 间接依赖 npm
levn 0.4.1 间接依赖 npm
normalize-url 4.5.1 间接依赖 npm
ansi-wrap 0.1.0 间接依赖 npm
path-scurry 1.10.1 直接依赖 npm
cloneable-readable 1.1.3 间接依赖 npm
spdx-compare 1.0.0 间接依赖 npm
p-timeout 3.2.0 间接依赖 npm
esprima 4.0.1 直接依赖 npm
color-name 1.1.3 间接依赖 npm
sigstore 1.9.0 间接依赖 npm
tar-stream 2.2.0 间接依赖 npm
fast-deep-equal 3.1.3 间接依赖 npm
get-intrinsic 1.1.1 间接依赖 npm
parse-json 5.2.0 间接依赖 npm
wordwrap 1.0.0 间接依赖 npm
path-root 0.1.1 间接依赖 npm
liftoff 3.1.0 间接依赖 npm
is-core-module 2.8.1 间接依赖 npm
strip-final-newline 2.0.0 间接依赖 npm
@typescript-eslint/type-utils 6.9.0 间接依赖 npm
object-inspect 1.12.3 间接依赖 npm
requires-port 1.0.0 间接依赖 npm
fined 1.2.0 间接依赖 npm
define-properties 1.1.3 间接依赖 npm
@babel/core 7.23.2 直接依赖 npm
yargs-parser 20.2.4 间接依赖 npm
@babel/traverse 7.23.2 间接依赖 npm
is-obj 2.0.0 直接依赖 npm
collection-map 1.0.0 间接依赖 npm
pretty-format 29.7.0 间接依赖 npm
npm-package-arg 6.1.1 间接依赖 npm
eslint 8.52.0 直接依赖 npm
safer-buffer 2.1.2 间接依赖 npm
xtend 4.0.2 间接依赖 npm
decode-uri-component 0.2.2 间接依赖 npm
fs-extra 8.1.0 间接依赖 npm
minipass-pipeline 1.2.4 间接依赖 npm
clone-response 1.0.2 间接依赖 npm
minipass-flush 1.0.5 间接依赖 npm
@types/json-schema 7.0.14 间接依赖 npm
merge-stream 2.0.0 间接依赖 npm
p-finally 1.0.0 间接依赖 npm
conventional-changelog-writer 6.0.1 间接依赖 npm
import-fresh 3.3.0 间接依赖 npm
color-convert 1.9.3 间接依赖 npm
read-pkg-up 3.0.0 间接依赖 npm
parse-url 8.1.0 间接依赖 npm
color-support 1.1.3 间接依赖 npm
p-map-series 2.1.0 间接依赖 npm
upath 1.2.0 间接依赖 npm
bach 1.2.0 间接依赖 npm
mute-stream 0.0.8 间接依赖 npm
vinyl 2.2.1 间接依赖 npm
fast-glob 3.2.11 间接依赖 npm
@nodelib/fs.scandir 2.1.5 间接依赖 npm
map-visit 1.0.0 间接依赖 npm
get-stream 6.0.0 间接依赖 npm
validate-npm-package-license 3.0.4 间接依赖 npm
delayed-stream 1.0.0 间接依赖 npm
p-locate 4.1.0 间接依赖 npm
has 1.0.3 间接依赖 npm
cliui 3.2.0 间接依赖 npm
@typescript-eslint/types 6.9.0 间接依赖 npm
clone-stats 1.0.0 间接依赖 npm
call-bind 1.0.2 间接依赖 npm
use 3.1.1 间接依赖 npm
@octokit/rest 19.0.11 间接依赖 npm
gensync 1.0.0-beta.2 间接依赖 npm
sort-keys 2.0.0 间接依赖 npm
minipass 5.0.0 间接依赖 npm
agent-base 6.0.2 间接依赖 npm
@tufjs/models 1.0.4 间接依赖 npm
lodash.ismatch 4.4.0 间接依赖 npm
gulp-cli 2.3.0 间接依赖 npm
clean-stack 2.2.0 间接依赖 npm
prettier 3.0.3 直接依赖 npm
@nicolo-ribaudo/eslint-scope-5-internals 5.1.1-v1 间接依赖 npm
uglify-js 3.17.4 间接依赖 npm
glob-stream 6.1.0 间接依赖 npm
@babel/helper-function-name 7.23.0 间接依赖 npm
@lerna/create 7.4.1 间接依赖 npm
deprecation 2.3.1 间接依赖 npm
emoji-regex 8.0.0 间接依赖 npm
json-parse-better-errors 1.0.2 直接依赖 npm
signal-exit 3.0.7 间接依赖 npm
read-package-json-fast 3.0.2 间接依赖 npm
@octokit/plugin-paginate-rest 6.1.2 间接依赖 npm
conventional-changelog-conventionalcommits 5.0.0 直接依赖 npm
@nx/nx-darwin-arm64 16.10.0 间接依赖 npm
callsites 3.1.0 间接依赖 npm
@octokit/auth-token 3.0.4 间接依赖 npm
tuf-js 1.1.7 间接依赖 npm
he 1.2.0 间接依赖 npm
unique-stream 2.3.1 间接依赖 npm
events 3.3.0 直接依赖 npm
repeat-element 1.1.4 间接依赖 npm
array-uniq 1.0.3 直接依赖 npm
fastq 1.13.0 间接依赖 npm
inquirer 8.2.5 间接依赖 npm
is-plain-object 5.0.0 间接依赖 npm
@hutson/parse-repository-url 3.0.2 间接依赖 npm
got 9.6.0 间接依赖 npm
jsonc-parser 3.2.0 间接依赖 npm
estraverse 4.3.0 间接依赖 npm
chownr 2.0.0 间接依赖 npm
is-data-descriptor 0.1.4 间接依赖 npm
unique-string 2.0.0 间接依赖 npm
@jridgewell/set-array 1.1.2 间接依赖 npm
redent 3.0.0 间接依赖 npm
exponential-backoff 3.1.1 间接依赖 npm
process 0.11.10 直接依赖 npm
rechoir 0.6.2 间接依赖 npm
resolve-from 4.0.0 间接依赖 npm
urix 0.1.0 间接依赖 npm
json-parse-even-better-errors 2.3.1 间接依赖 npm
for-in 1.0.2 间接依赖 npm
@tootallnate/once 2.0.0 间接依赖 npm
npm-registry-fetch 14.0.5 间接依赖 npm
debug 4.3.4 间接依赖 npm
lodash.templatesettings 4.2.0 间接依赖 npm
through2 2.0.5 间接依赖 npm
eslint-scope 5.1.1 间接依赖 npm
get-value 2.0.6 间接依赖 npm
vinyl-fs 3.0.3 间接依赖 npm
@babel/helper-module-transforms 7.23.0 间接依赖 npm
@npmcli/metavuln-calculator 5.0.1 间接依赖 npm
eventemitter3 4.0.7 间接依赖 npm
ext 1.6.0 间接依赖 npm
global-modules 1.0.0 间接依赖 npm
safe-buffer 5.1.2 间接依赖 npm
is-interactive 1.0.0 间接依赖 npm
object.pick 1.3.0 间接依赖 npm
minipass-sized 1.0.3 间接依赖 npm
is-accessor-descriptor 0.1.6 间接依赖 npm
time-stamp 1.1.0 间接依赖 npm
conventional-commits-filter 3.0.0 间接依赖 npm
@ampproject/remapping 2.2.1 间接依赖 npm
@nrwl/devkit 16.10.0 间接依赖 npm
is-builtin-module 3.2.1 间接依赖 npm
are-docs-informative 0.0.2 间接依赖 npm
normalize-package-data 3.0.3 间接依赖 npm
source-map 0.5.7 间接依赖 npm
async-each 1.0.3 间接依赖 npm
@babel/helper-simple-access 7.22.5 间接依赖 npm
to-absolute-glob 2.0.2 间接依赖 npm
env-paths 2.2.1 间接依赖 npm
make-iterator 1.0.1 间接依赖 npm
node-addon-api 3.2.1 间接依赖 npm
@babel/highlight 7.22.20 间接依赖 npm
p-limit 2.3.0 间接依赖 npm
clone 2.1.2 间接依赖 npm
@nodelib/fs.stat 2.0.5 间接依赖 npm
chardet 0.7.0 间接依赖 npm
hard-rejection 2.1.0 间接依赖 npm
@zkochan/js-yaml 0.0.6 间接依赖 npm
file-entry-cache 6.0.1 间接依赖 npm
@types/minimist 1.2.4 间接依赖 npm
archy 1.0.0 间接依赖 npm
conventional-recommended-bump 7.0.1 间接依赖 npm
cross-spawn 7.0.3 间接依赖 npm
prelude-ls 1.2.1 间接依赖 npm
min-indent 1.0.1 间接依赖 npm
encoding 0.1.13 间接依赖 npm
@jridgewell/resolve-uri 3.1.1 间接依赖 npm
ansi-gray 0.1.1 间接依赖 npm
strip-json-comments 3.1.1 间接依赖 npm
pumpify 1.5.1 间接依赖 npm
@babel/helper-validator-option 7.22.15 间接依赖 npm
minipass-json-stream 1.0.1 间接依赖 npm
fs-minipass 3.0.3 间接依赖 npm
lru-cache 6.0.0 间接依赖 npm
human-signals 2.1.0 间接依赖 npm
vinyl-sourcemap 1.1.0 间接依赖 npm
minipass-collect 1.0.2 间接依赖 npm
parse-conflict-json 3.0.1 间接依赖 npm
map-cache 0.2.2 间接依赖 npm
node-fetch 2.6.7 间接依赖 npm
mime-types 2.1.35 间接依赖 npm
dotenv-expand 10.0.0 间接依赖 npm
concat-stream 1.6.2 间接依赖 npm
jsesc 2.5.2 间接依赖 npm
eslint-visitor-keys 2.1.0 间接依赖 npm
json-schema-traverse 0.4.1 间接依赖 npm
once 1.4.0 间接依赖 npm
is-ci 3.0.1 间接依赖 npm
jackspeak 2.3.6 直接依赖 npm
type 1.2.0 间接依赖 npm
ejs 3.1.9 间接依赖 npm
@nx/nx-win32-arm64-msvc 16.10.0 间接依赖 npm
yocto-queue 0.1.0 直接依赖 npm
glob 7.2.0 间接依赖 npm
is-utf8 0.2.1 间接依赖 npm
remove-bom-stream 1.2.0 间接依赖 npm
@isaacs/string-locale-compare 1.1.0 间接依赖 npm
source-map-resolve 0.5.3 间接依赖 npm
picomatch 2.3.1 间接依赖 npm
default-resolution 2.0.0 间接依赖 npm
sparkles 1.0.1 间接依赖 npm
@nx/nx-win32-x64-msvc 16.10.0 间接依赖 npm
console-control-strings 1.1.0 间接依赖 npm
opener 1.5.2 间接依赖 npm
define-lazy-prop 2.0.0 间接依赖 npm
async 2.6.4 间接依赖 npm
js-yaml 4.1.0 间接依赖 npm
@octokit/request 6.2.8 间接依赖 npm
html-encoding-sniffer 3.0.0 间接依赖 npm
copy-props 2.0.5 间接依赖 npm
before-after-hook 2.2.3 间接依赖 npm
cacache 17.1.4 间接依赖 npm
arr-filter 1.1.2 间接依赖 npm
async-done 1.3.2 间接依赖 npm
@babel/helper-split-export-declaration 7.22.6 间接依赖 npm
meow 8.1.2 间接依赖 npm
open 8.4.2 间接依赖 npm
wcwidth 1.0.1 间接依赖 npm
convert-source-map 1.8.0 间接依赖 npm
common-ancestor-path 1.0.1 间接依赖 npm
strip-outer 1.0.1 间接依赖 npm
text-table 0.2.0 间接依赖 npm
add-stream 1.0.0 间接依赖 npm
function-bind 1.1.1 间接依赖 npm
string-width 4.2.3 间接依赖 npm
source-map-url 0.4.1 间接依赖 npm
spdx-correct 3.1.1 间接依赖 npm
@szmarczak/http-timer 1.1.2 间接依赖 npm
buffer-equal 1.0.0 间接依赖 npm
@es-joy/jsdoccomment 0.40.1 间接依赖 npm
jest-diff 29.7.0 间接依赖 npm
ansi-colors 4.1.3 间接依赖 npm
array-differ 3.0.0 间接依赖 npm
@octokit/request-error 3.0.3 间接依赖 npm
camelcase 5.3.1 间接依赖 npm
@babel/helper-validator-identifier 7.22.20 间接依赖 npm
es6-weak-map 2.0.3 间接依赖 npm
esquery 1.5.0 间接依赖 npm
map-obj 4.3.0 间接依赖 npm
picocolors 1.0.0 间接依赖 npm
to-regex 3.0.2 间接依赖 npm
flatted 3.2.5 间接依赖 npm
@types/minimatch 3.0.5 间接依赖 npm
snapdragon-node 2.1.1 间接依赖 npm
@nx/nx-linux-arm-gnueabihf 16.10.0 间接依赖 npm
is-extendable 0.1.1 间接依赖 npm
filelist 1.0.4 间接依赖 npm
pump 2.0.1 间接依赖 npm
walk-up-path 3.0.1 间接依赖 npm
is-relative 1.0.0 间接依赖 npm
@nx/nx-freebsd-x64 16.10.0 间接依赖 npm
es6-iterator 2.0.3 间接依赖 npm
locate-path 5.0.0 间接依赖 npm
@jridgewell/gen-mapping 0.3.3 间接依赖 npm
is-glob 4.0.3 间接依赖 npm
strip-ansi 6.0.1 间接依赖 npm
comment-parser 1.4.0 间接依赖 npm
semver 7.5.4 间接依赖 npm
@pkgjs/parseargs 0.11.0 间接依赖 npm
json-stringify-nice 1.1.4 间接依赖 npm
extend-shallow 2.0.1 间接依赖 npm
ansi-styles 3.2.1 间接依赖 npm
graceful-fs 4.2.11 间接依赖 npm
stack-trace 0.0.10 间接依赖 npm
import-local 3.1.0 间接依赖 npm
write-json-file 3.2.0 间接依赖 npm
dateformat 3.0.3 间接依赖 npm
@eslint/js 8.52.0 间接依赖 npm
extend 3.0.2 间接依赖 npm
wrappy 1.0.2 间接依赖 npm
array-ify 1.0.0 间接依赖 npm
spdx-license-ids 3.0.11 间接依赖 npm
eastasianwidth 0.2.0 直接依赖 npm
diff-sequences 29.6.3 间接依赖 npm
escalade 3.1.1 间接依赖 npm
end-of-stream 1.4.4 间接依赖 npm
is-number 3.0.0 间接依赖 npm
set-blocking 2.0.0 间接依赖 npm
is-path-inside 3.0.3 间接依赖 npm
arrify 1.0.1 间接依赖 npm
react-is 18.2.0 间接依赖 npm
strip-bom 4.0.0 间接依赖 npm
resolve-url 0.2.1 间接依赖 npm
portfinder 1.0.32 间接依赖 npm
@types/semver 7.5.4 间接依赖 npm
text-extensions 1.9.0 间接依赖 npm
are-we-there-yet 3.0.1 间接依赖 npm
@eslint/eslintrc 2.1.2 间接依赖 npm
fs-constants 1.0.0 间接依赖 npm
to-object-path 0.3.0 间接依赖 npm
dedent 0.7.0 间接依赖 npm
map-stream 0.0.7 间接依赖 npm
remove-bom-buffer 3.0.0 间接依赖 npm
get-pkg-repo 4.2.1 间接依赖 npm
wrap-ansi 2.1.0 间接依赖 npm
foreground-child 3.1.1 直接依赖 npm
punycode 2.1.1 间接依赖 npm
array-initial 1.1.0 间接依赖 npm
esutils 2.0.3 间接依赖 npm
registry-url 5.1.0 间接依赖 npm
retry 0.12.0 间接依赖 npm
node-gyp 9.4.0 间接依赖 npm
chokidar 2.1.8 间接依赖 npm
@typescript-eslint/typescript-estree 6.9.0 间接依赖 npm
isarray 1.0.0 间接依赖 npm
jake 10.8.7 间接依赖 npm
@sinclair/typebox 0.27.8 间接依赖 npm
promise-retry 2.0.1 间接依赖 npm
cli-cursor 3.1.0 间接依赖 npm
log-symbols 4.1.0 间接依赖 npm
uuid 9.0.1 间接依赖 npm
is-path-cwd 2.2.0 间接依赖 npm
flagged-respawn 1.0.1 间接依赖 npm
object-keys 1.1.1 间接依赖 npm
git-raw-commits 3.0.0 间接依赖 npm
reusify 1.0.4 间接依赖 npm
@typescript-eslint/eslint-plugin 6.9.0 直接依赖 npm
node-gyp-build 4.6.1 间接依赖 npm
run-async 2.4.1 间接依赖 npm
minimist-options 4.1.0 间接依赖 npm
promzard 1.0.0 间接依赖 npm
tslib 2.6.2 间接依赖 npm
path-dirname 1.0.2 直接依赖 npm
read 2.1.0 间接依赖 npm
rxjs 7.8.0 间接依赖 npm
tar 6.1.11 间接依赖 npm
acorn-jsx 5.3.2 间接依赖 npm
extglob 2.0.4 直接依赖 npm
gulp 4.0.2 直接依赖 npm
brace-expansion 1.1.11 间接依赖 npm
secure-compare 3.0.1 间接依赖 npm
@octokit/tsconfig 1.0.2 间接依赖 npm
temp-dir 1.0.0 间接依赖 npm
object-copy 0.1.0 间接依赖 npm
http-server 14.1.1 直接依赖 npm
@babel/compat-data 7.23.2 间接依赖 npm
fast-json-stable-stringify 2.1.0 间接依赖 npm
node-releases 2.0.13 间接依赖 npm
gauge 4.0.4 间接依赖 npm
@typescript-eslint/scope-manager 6.9.0 间接依赖 npm
escape-string-regexp 1.0.5 间接依赖 npm
spdx-satisfies 5.0.1 间接依赖 npm
is-binary-path 1.0.1 间接依赖 npm
assign-symbols 1.0.0 直接依赖 npm
resolve-cwd 3.0.0 间接依赖 npm
write-file-atomic 5.0.1 间接依赖 npm
@nx/nx-darwin-x64 16.10.0 间接依赖 npm
@eslint-community/regexpp 4.10.0 间接依赖 npm
each-props 1.3.2 间接依赖 npm
ansi-regex 5.0.1 间接依赖 npm
keyv 3.1.0 间接依赖 npm
abbrev 1.1.1 间接依赖 npm
typedarray 0.0.6 间接依赖 npm
glogg 1.0.2 间接依赖 npm
require-directory 2.1.1 间接依赖 npm
@nx/nx-linux-arm64-musl 16.10.0 间接依赖 npm
commander 2.20.3 间接依赖 npm
os-tmpdir 1.0.2 间接依赖 npm
@npmcli/installed-package-contents 2.0.2 间接依赖 npm
is-fullwidth-code-point 3.0.0 间接依赖 npm
stream-shift 1.0.1 间接依赖 npm
responselike 1.0.2 间接依赖 npm
@jest/schemas 29.6.3 间接依赖 npm
isobject 3.0.1 间接依赖 npm
p-try 2.2.0 间接依赖 npm
spdx-ranges 2.1.1 间接依赖 npm
is-extglob 2.1.1 间接依赖 npm
resolve 1.22.0 间接依赖 npm
@octokit/plugin-enterprise-rest 6.0.1 间接依赖 npm
json-stringify-safe 5.0.1 间接依赖 npm
collection-visit 1.0.0 间接依赖 npm
whatwg-encoding 2.0.0 间接依赖 npm
through2-filter 3.0.0 间接依赖 npm
@nodelib/fs.walk 1.2.8 间接依赖 npm
string-width-cjs npm:string-width@4.2.3 间接依赖 npm
is-text-path 1.0.1 间接依赖 npm
array-sort 1.0.0 间接依赖 npm
cache-base 1.0.1 间接依赖 npm
is-plain-obj 1.1.0 间接依赖 npm
mimic-fn 2.1.0 间接依赖 npm
conventional-commits-parser 4.0.0 间接依赖 npm
anymatch 2.0.0 间接依赖 npm
p-cancelable 1.1.0 间接依赖 npm
@npmcli/run-script 6.0.2 间接依赖 npm
ansi-escapes 4.3.2 间接依赖 npm
json5 2.2.3 间接依赖 npm
acorn 8.10.0 间接依赖 npm
imurmurhash 0.1.4 间接依赖 npm
which-module 1.0.0 间接依赖 npm
filename-reserved-regex 2.0.0 间接依赖 npm
kind-of 5.1.0 间接依赖 npm
bl 4.1.0 间接依赖 npm
gulplog 1.0.0 间接依赖 npm
mimic-response 1.0.1 间接依赖 npm
camelcase-keys 6.2.2 间接依赖 npm
to-regex-range 2.1.1 间接依赖 npm
@humanwhocodes/config-array 0.11.13 间接依赖 npm
to-readable-stream 1.0.0 间接依赖 npm
@babel/parser 7.23.0 间接依赖 npm
gaxios 2.3.4 间接依赖 npm
@nx/devkit 16.10.0 间接依赖 npm
pretty-hrtime 1.0.3 间接依赖 npm
lazystream 1.0.1 间接依赖 npm
is-unicode-supported 0.1.0 间接依赖 npm
d 1.0.1 间接依赖 npm
is-absolute 1.0.0 间接依赖 npm
npm-install-checks 6.3.0 间接依赖 npm
chalk 2.4.2 间接依赖 npm
package-json 6.5.0 间接依赖 npm
file-url 3.0.0 间接依赖 npm
envinfo 7.8.1 间接依赖 npm
@babel/helper-compilation-targets 7.22.15 间接依赖 npm
@lerna/child-process 7.4.1 间接依赖 npm
unique-filename 3.0.0 间接依赖 npm
electron-to-chromium 1.4.567 间接依赖 npm
cosmiconfig 8.3.6 间接依赖 npm
flat-cache 3.0.4 间接依赖 npm
npm-bundled 1.1.2 间接依赖 npm
postcss-selector-parser 6.0.13 间接依赖 npm
lodash._reinterpolate 3.0.0 间接依赖 npm
expand-tilde 2.0.2 间接依赖 npm
array-unique 0.3.2 间接依赖 npm
rc 1.2.8 间接依赖 npm
spdx-expression-parse 3.0.1 间接依赖 npm
optionator 0.9.3 间接依赖 npm
shallow-clone 3.0.1 间接依赖 npm
ordered-read-streams 1.0.1 间接依赖 npm
split 1.0.1 间接依赖 npm
rimraf 3.0.2 间接依赖 npm
inflight 1.0.6 间接依赖 npm
@sigstore/bundle 1.1.0 间接依赖 npm
duplexer 0.1.2 间接依赖 npm
restore-cursor 3.1.0 间接依赖 npm
@octokit/types 9.3.2 间接依赖 npm
type-check 0.4.0 间接依赖 npm
posix-character-classes 0.1.1 间接依赖 npm
unset-value 1.0.0 间接依赖 npm
duplexify 3.7.1 间接依赖 npm
@jridgewell/sourcemap-codec 1.4.15 间接依赖 npm
cli-spinners 2.6.1 间接依赖 npm
p-pipe 3.1.0 间接依赖 npm
path-exists 4.0.0 间接依赖 npm
run-parallel 1.2.0 间接依赖 npm
@npmcli/git 4.1.0 间接依赖 npm
get-port 5.1.1 间接依赖 npm
resolve-options 1.1.0 间接依赖 npm
jsonfile 4.0.0 间接依赖 npm
write-pkg 4.0.0 间接依赖 npm
normalize-path 3.0.0 间接依赖 npm
JSONStream 1.3.5 间接依赖 npm
showdown 2.1.0 直接依赖 npm
err-code 2.0.3 间接依赖 npm
es6-symbol 3.1.3 间接依赖 npm
treeverse 3.0.0 间接依赖 npm
object.map 1.0.1 间接依赖 npm
js-tokens 4.0.0 间接依赖 npm
@typescript-eslint/visitor-keys 6.9.0 间接依赖 npm
@npmcli/fs 3.1.0 间接依赖 npm
axios 1.6.0 间接依赖 npm
base 0.11.2 间接依赖 npm
fill-range 4.0.0 间接依赖 npm
socks-proxy-agent 7.0.0 间接依赖 npm
nx 16.10.0 间接依赖 npm
email-addresses 3.1.0 间接依赖 npm
iconv-lite 0.4.24 间接依赖 npm
replace-homedir 1.0.0 间接依赖 npm
pify 5.0.0 间接依赖 npm
is-descriptor 0.1.6 间接依赖 npm
require-main-filename 1.0.1 间接依赖 npm
path-parse 1.0.7 间接依赖 npm
yargs 7.1.2 间接依赖 npm
node-machine-id 1.1.12 间接依赖 npm
@babel/helper-hoist-variables 7.22.5 间接依赖 npm
npm-normalize-package-bin 1.0.1 间接依赖 npm
hosted-git-info 4.1.0 间接依赖 npm
value-or-function 3.0.0 间接依赖 npm
handlebars 4.7.8 间接依赖 npm
undertaker 1.3.0 间接依赖 npm
lodash.merge 4.6.2 间接依赖 npm
basic-auth 2.0.1 间接依赖 npm
read-pkg 3.0.0 间接依赖 npm
array-slice 1.1.0 间接依赖 npm
is-wsl 2.2.0 间接依赖 npm
init-package-json 5.0.0 间接依赖 npm
qs 6.11.1 间接依赖 npm
@npmcli/node-gyp 3.0.0 间接依赖 npm
parent-module 1.0.1 间接依赖 npm
abort-controller 3.0.0 间接依赖 npm
humanize-ms 1.2.1 间接依赖 npm
json-stable-stringify-without-jsonify 1.0.1 间接依赖 npm
deep-is 0.1.4 间接依赖 npm
quick-lru 4.0.1 间接依赖 npm
libnpmpublish 7.3.0 间接依赖 npm
pkg-dir 4.2.0 间接依赖 npm
@octokit/graphql 5.0.6 间接依赖 npm
lodash.template 4.5.0 间接依赖 npm
component-emitter 1.3.0 间接依赖 npm
pacote 15.2.0 间接依赖 npm
(0)
上一篇 2023年11月20日
下一篇 2023年11月20日

相关推荐

  • gulpjs/gulp 软件分析报告

    基础信息 项目名称:gulpjs/gulp 项目徽章: 仓库地址:https://github.com/pterodactyl/panel 检测报告地址:https://www.murphysec.com/console/report/1718396983924359168/1718396984025022464 此报告由Murphysec提供 漏洞列表 暂…

    软件分析 2023年10月29日
    0
  • daltoniam/starscream 软件分析报告

    基础信息 项目名称:daltoniam/starscream 项目徽章: 仓库地址:https://github.com/pterodactyl/panel 检测报告地址:https://www.murphysec.com/console/report/1717017216130088960/1717017216796983296 此报告由Murphysec…

    软件分析 2023年10月25日
    0
  • jynew/jynew 软件分析报告

    基础信息 项目名称:jynew/jynew 项目徽章: 仓库地址:https://github.com/pterodactyl/panel 检测报告地址:https://www.murphysec.com/console/report/1721328052817395712/1731892324596146176 此报告由Murphysec提供 漏洞列表 漏…

    软件分析 2023年12月5日
    0
  • indrimuska/angular-moment-picker 软件分析报告

    基础信息 项目名称:indrimuska/angular-moment-picker 项目徽章: 仓库地址:https://github.com/pterodactyl/panel 检测报告地址:https://www.murphysec.com/console/report/1718809164649381888/1718809164942983168 此…

    软件分析 2023年10月30日
    0
  • edwardgeorge/picoev 软件分析报告

    基础信息 项目名称:edwardgeorge/picoev 项目徽章: 仓库地址:https://github.com/pterodactyl/panel 检测报告地址:https://www.murphysec.com/console/report/1717407780767924224/1717407780814061568 此报告由Murphysec提…

    软件分析 2023年10月26日
    0